List Connections
curl --request GET \
--url https://cloud.cdata.com/api/poweredby/connection/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/poweredby/connection/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/poweredby/connection/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connections": [
{
"id": "880dc1a2-03c3-4288-9857-6f5c029d897c",
"name": "ExcelOnline1",
"dataSource": "ExcelOnline",
"lastModified": "2024-08-02T21:30:55.154Z",
"externalId": "acme-excel-001",
"mcpUrl": "/mcp/connections/880dc1a2-03c3-4288-9857-6f5c029d897c",
"status": "Authenticated"
},
{
"id": "eeef6211-5d6f-4347-b5bb-f99d574e75e5",
"name": "MailChimp1",
"dataSource": "MailChimp",
"lastModified": "2023-10-11T20:43:33.28Z",
"externalId": null,
"mcpUrl": "/mcp/connections/eeef6211-5d6f-4347-b5bb-f99d574e75e5",
"status": "Conditional"
}
]
}Connection API
コネクション一覧の取得
コネクション一覧の取得は、サブアカウントのコネクション一覧をリクエストします。
GET
/
poweredby
/
connection
/
list
List Connections
承認
JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.
クエリパラメータ
Filter to connections whose data source matches this value (case-insensitive).
例:
"ExcelOnline"
Filter to connections with this externalId (case-sensitive).
例:
"acme-excel-001"
レスポンス
200 - application/json
OK
A list of connections for the account.
Show child attributes
Show child attributes
このページは役に立ちましたか?
⌘I